## Class AMOEBA

- java.lang.Object
- - AMOEBA

All Implemented Interfaces:
  gameInterface.AIInterface

    public class AMOEBA
    extends java.lang.Object
    implements gameInterface.AIInterface

This class is only here to do test for a special benchmark requiring to have this class at root of the project with name of the project. Forget it.

Author:
  nigon

### Field Summary

Fields
`static AMOEBA` `instanceOfAMOEBA` The instance of AMOEBA.
`static boolean` `player` The player.
`static boolean` `started` The started.

### Fields inherited from interface gameInterface.AIInterface

`CHARACTER_GARNET, CHARACTER_KFM, CHARACTER_LUD, CHARACTER_ZEN`

### Constructor Summary

Constructors
Constructor and Description
`AMOEBA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`java.lang.String` `getCharacter()`
`void` `getInformation(structs.FrameData fd)`
`int` `initialize(structs.GameData arg0, boolean p)`
`structs.Key` `input()`
`void` `processing()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### player

    public static boolean player

The player.

#### instanceOfAMOEBA

    public static AMOEBA instanceOfAMOEBA

The instance of AMOEBA.

#### started

    public static boolean started

The started.

### Constructor Detail

#### AMOEBA

    public AMOEBA()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `gameInterface.AIInterface`

#### getCharacter

    public java.lang.String getCharacter()

Specified by:
  `getCharacter` in interface `gameInterface.AIInterface`

#### getInformation

    public void getInformation(structs.FrameData fd)

Specified by:
  `getInformation` in interface `gameInterface.AIInterface`

#### initialize

    public int initialize(structs.GameData arg0,
                          boolean p)

Specified by:
  `initialize` in interface `gameInterface.AIInterface`

#### input

    public structs.Key input()

Specified by:
  `input` in interface `gameInterface.AIInterface`

#### processing

    public void processing()

Specified by:
  `processing` in interface `gameInterface.AIInterface`